Extension not installed messages on upgrade

Need help upgrading your Joomla! website or converting to Joomla! 3.x? Please consider the availability of third-party templates and extensions when deciding which Joomla version to use.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Post Reply
DaFoot
Joomla! Intern
Joomla! Intern
Posts: 68
Joined: Sun Feb 08, 2009 10:10 pm
Contact:

Extension not installed messages on upgrade

Post by DaFoot » Wed Aug 01, 2018 7:49 am

I've a site that has been live for some time (years) and been through countless upgrades.

Each time I upgrade (today to 3.8.11) I get a bunch of warnings like those below.

So I've two questions.

1. I'm assuming these are extensions that old joomla versions used but aren't in latest Joomla, is that a correct assumption? Or are they plugins that come with latest Joomla that for some reason haven't been installed?

2. If my assumption above is correct, what is the best way to clean up my system?

Refresh Manifest Cache failed: com_ajax Extension is not currently installed.
Refresh Manifest Cache failed: com_associations Extension is not currently installed.
Refresh Manifest Cache failed: com_contenthistory Extension is not currently installed.
Refresh Manifest Cache failed: com_fields Extension is not currently installed.
Refresh Manifest Cache failed: com_postinstall Extension is not currently installed.
Refresh Manifest Cache failed: fof Extension is not currently installed.
Refresh Manifest Cache failed: idna_convert Extension is not currently installed.
Refresh Manifest Cache failed: phpass Extension is not currently installed.
Refresh Manifest Cache failed: plg_authentication_cookie Extension is not currently installed.
Refresh Manifest Cache failed: plg_authentication_gmail Extension is not currently installed.
Refresh Manifest Cache failed: plg_authentication_ldap Extension is not currently installed.
Refresh Manifest Cache failed: plg_content_contact Extension is not currently installed.
Refresh Manifest Cache failed: plg_content_fields Extension is not currently installed.
Refresh Manifest Cache failed: plg_editors-xtd_contact Extension is not currently installed.
Refresh Manifest Cache failed: plg_editors-xtd_fields Extension is not currently installed.
Refresh Manifest Cache failed: plg_editors-xtd_menu Extension is not currently installed.
Refresh Manifest Cache failed: plg_editors-xtd_module Extension is not currently installed.
Refresh Manifest Cache failed: plg_fields_calendar Extension is not currently installed.
Refresh Manifest Cache failed: plg_fields_checkboxes Extension is not currently installed.
Refresh Manifest Cache failed: plg_fields_color Extension is not currently installed.
Refresh Manifest Cache failed: plg_fields_editor Extension is not currently installed.
Refresh Manifest Cache failed: plg_fields_imagelist Extension is not currently installed.
Refresh Manifest Cache failed: plg_fields_integer Extension is not currently installed.
Refresh Manifest Cache failed: plg_fields_list Extension is not currently installed.
Refresh Manifest Cache failed: plg_fields_media Extension is not currently installed.
Refresh Manifest Cache failed: plg_fields_radio Extension is not currently installed.
Refresh Manifest Cache failed: plg_fields_sql Extension is not currently installed.
Refresh Manifest Cache failed: plg_fields_text Extension is not currently installed.
Refresh Manifest Cache failed: plg_fields_textarea Extension is not currently installed.
Refresh Manifest Cache failed: plg_fields_url Extension is not currently installed.
Refresh Manifest Cache failed: plg_fields_user Extension is not currently installed.
Refresh Manifest Cache failed: plg_fields_usergrouplist Extension is not currently installed.
Refresh Manifest Cache failed: plg_finder_tags Extension is not currently installed.
Refresh Manifest Cache failed: plg_quickicon_phpversioncheck Extension is not currently installed.
Refresh Manifest Cache failed: plg_system_fields Extension is not currently installed.
Refresh Manifest Cache failed: plg_system_stats Extension is not currently installed.
Refresh Manifest Cache failed: plg_twofactorauth_totp Extension is not currently installed.
Refresh Manifest Cache failed: plg_twofactorauth_yubikey Extension is not currently installed.
Refresh Manifest Cache failed: mod_tags_popular Extension is not currently installed.
Refresh Manifest Cache failed: mod_tags_similar Extension is not currently installed

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 35249
Joined: Sat Apr 05, 2008 9:58 pm

Re: Extension not installed messages on upgrade

Post by Webdongle » Wed Aug 01, 2018 8:59 am

Components >>> Joomla update ... Check for updates ... Reinstall Joomla core files
or
Download Joomla! 3.8.11 Upgrade Package https://downloads.joomla.org/cms/joomla ... ackage.zip then Components >>> Joomla update ... Upload & Update ... Browse for the file Upload&Install.

If no Avail please viewtopic.php?f=714&t=793531
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein

DaFoot
Joomla! Intern
Joomla! Intern
Posts: 68
Joined: Sun Feb 08, 2009 10:10 pm
Contact:

Re: Extension not installed messages on upgrade

Post by DaFoot » Wed Aug 01, 2018 9:27 am

Thanks webdongle.
Tried reinstall code option, same messages. I'll dig into others when I've more time to fiddle!

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 35249
Joined: Sat Apr 05, 2008 9:58 pm

Re: Extension not installed messages on upgrade

Post by Webdongle » Wed Aug 01, 2018 11:56 am

Need the fpa report viewtopic.php?f=714&t=793531
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 19044
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Extension not installed messages on upgrade

Post by leolam » Thu Aug 02, 2018 4:49 am

Go to Manage-->database-->Discover and install what is found. Next click database--> hit Fix button and refresh the page after clearing cache. This should solve the issue

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
Member Joomla Bug Squad & Joomla CMS Release Team

DaFoot
Joomla! Intern
Joomla! Intern
Posts: 68
Joined: Sun Feb 08, 2009 10:10 pm
Contact:

Re: Extension not installed messages on upgrade

Post by DaFoot » Sat Aug 04, 2018 5:47 pm

Webdongle wrote:
Wed Aug 01, 2018 11:56 am
Need the fpa report viewtopic.php?f=714&t=793531
https://www.dafoot.co.uk/argh.php

DaFoot
Joomla! Intern
Joomla! Intern
Posts: 68
Joined: Sun Feb 08, 2009 10:10 pm
Contact:

Re: Extension not installed messages on upgrade

Post by DaFoot » Sat Aug 04, 2018 5:49 pm

leolam wrote:
Thu Aug 02, 2018 4:49 am
Go to Manage-->database-->Discover and install what is found. Next click database--> hit Fix button and refresh the page after clearing cache. This should solve the issue

Leo 8)
Nope :(

DaFoot
Joomla! Intern
Joomla! Intern
Posts: 68
Joined: Sun Feb 08, 2009 10:10 pm
Contact:

Re: Extension not installed messages on upgrade

Post by DaFoot » Sat Aug 04, 2018 5:53 pm

I should also add that while some of dates there are only last year, the site was created using an Akeeba backup of old site from previous host.

User avatar
sozzled
Joomla! Champion
Joomla! Champion
Posts: 5521
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia
Contact:

Re: Extension not installed messages on upgrade

Post by sozzled » Sat Aug 04, 2018 5:57 pm

Here's what should have been posted by the OP:
Forum Post Assistant (v1.4.3 (Frosty)) : 4th August 2018 wrote:
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.8.11-Stable (Amani) 31-July-2018
Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
Joomla! Configured :: Yes | Writable (644) | Owner: apache (uid: 1/gid: 1) | Group: www (gid: 1) | Valid For: 3.8ww
Configuration Options :: Offline: 0 | SEF: 1 | SEF Suffix: 0 | SEF ReWrite: 1 | .htaccess/web.config: Yes | GZip: 1 | Cache: 0 | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: 0 | FTP Layer: 0 | Proxy: 0 | LiveSite: https://www.dafoot.co.uk | Session lifetime: 15 | Session handler: database | Shared sessions: 0 | SSL: 2 | Error Reporting: simple | Site Debug: 0 | Language Debug: 0 | Default Access: 1 | Unicode Slugs: 0 | dbConnection Type: mysqli | PHP Supports J! 3.8.11: Yes | Database Credentials Present: Yes |

Host Configuration :: OS: Linux | OS Version: 4.14.51-60.38.amzn1.x86_64 | Technology: x86_64 | Web Server: Apache/2.4.33 (Amazon) OpenSSL/1.0.2k-fips PHP/7.0.30 | Encoding: gzip, deflate | Doc Root: /var/www/vhosts/dafoot.co.uk | System TMP Writable: Yes | Free Disk Space : 5.38 GiB |

PHP Configuration :: Version: 7.0.30 | PHP API: apache2handler | Session Path Writable: Yes | Display Errors: 1 | Error Reporting: 22527 | Log Errors To: | Last Known Error: | Register Globals: | Magic Quotes: | Safe Mode: | Open Base: | Uploads: 1 | Max. Upload Size: 5M | Max. POST Size: 8M | Max. Input Time: 60 | Max. Execution Time: 30 | Memory Limit: 128M

Database Configuration :: Version: 5.5.60 (Client:mysqlnd 5.0.12-dev - 20150407 - $Id: b5c5906d452ec590732a93b051f3827e02749b83 $) | Host: localhost (Localhost via UNIX socket) | Localhost: Yes | Collation: utf8_general_ci (Character Set: utf8) | Database Size: 17.55 MiB | #of Tables:  151
Detailed Environment :: wrote:PHP Extensions :: Core (7.0.30) | date (7.0.30) | libxml (7.0.30) | openssl (7.0.30) | pcre (7.0.30) | zlib (7.0.30) | filter (7.0.30) | hash (1.0) | Reflection (7.0.30) | SPL (7.0.30) | session (7.0.30) | standard (7.0.30) | apache2handler () | bz2 (7.0.30) | calendar (7.0.30) | ctype (7.0.30) | curl (7.0.30) | dom (20031129) | mbstring (7.0.30) | fileinfo (1.0.5) | ftp (7.0.30) | gd (7.0.30) | gettext (7.0.30) | iconv (7.0.30) | json (1.4.0) | exif (7.0.30) | mcrypt (7.0.30) | mysqlnd (mysqlnd 5.0.12-dev - 20150407 - $Id: b5c5906d452ec590732a93b051f3827e02749b83 $) | PDO (7.0.30) | Phar (2.0.2) | posix (7.0.30) | shmop (7.0.30) | SimpleXML (7.0.30) | sockets (7.0.30) | sqlite3 (7.0.30) | sysvmsg (7.0.30) | sysvsem (7.0.30) | sysvshm (7.0.30) | tokenizer (7.0.30) | xml (7.0.30) | xmlwriter (7.0.30) | xsl (7.0.30) | zip (1.13.5) | mysqli (7.0.30) | pdo_mysql (7.0.30) | pdo_sqlite (7.0.30) | wddx (7.0.30) | xmlreader (7.0.30) | Zend Engine (3.0.0) |
Potential Missing Extensions ::

Switch User Environment (Experimental) :: PHP CGI: No | Server SU: No | PHP SU: No | Custom SU (LiteSpeed/Cloud/Grid): No
Potential Ownership Issues: Maybe

Apache Modules :: core | mod_so | http_core | mod_access_compat | mod_actions | mod_alias | mod_allowmethods | mod_auth_basic | mod_auth_digest | mod_authn_anon | mod_authn_core | mod_authn_dbd | mod_authn_dbm | mod_authn_file | mod_authn_socache | mod_authz_core | mod_authz_dbd | mod_authz_dbm | mod_authz_groupfile | mod_authz_host | mod_authz_owner | mod_authz_user | mod_autoindex | mod_cache | mod_cache_disk | mod_cache_socache | mod_data | mod_dbd | mod_deflate | mod_dir | mod_dumpio | mod_echo | mod_env | mod_expires | mod_ext_filter | mod_filter | mod_headers | mod_include | mod_info | mod_log_config | mod_logio | mod_macro | mod_mime_magic | mod_mime | mod_negotiation | mod_remoteip | mod_reqtimeout | mod_request | mod_rewrite | mod_setenvif | mod_slotmem_plain | mod_slotmem_shm | mod_socache_dbm | mod_socache_memcache | mod_socache_shmcb | mod_ssl | mod_status | mod_substitute | mod_suexec | mod_unixd | mod_userdir | mod_version | mod_vhost_alias | mod_watchdog | mod_dav | mod_dav_fs | mod_dav_lock | mod_lua | prefork | mod_proxy | mod_lbmethod_bybusyness | mod_lbmethod_byrequests | mod_lbmethod_bytraffic | mod_lbmethod_heartbeat | mod_proxy_ajp | mod_proxy_balancer | mod_proxy_connect | mod_proxy_express | mod_proxy_fcgi | mod_proxy_fdpass | mod_proxy_ftp | mod_proxy_http | mod_proxy_hcheck | mod_proxy_scgi | mod_proxy_uwsgi | mod_proxy_wstunnel | mod_cgi | mod_php7 | Apache/2.4.33 (Amazon) OpenSSL/1.0.2k-fips PHP/7.0.30 |
Potential Missing Modules :: mod_security | mod_evasive | mod_dosevasive | mod_qos | mod_userdir |
Folder Permissions :: wrote:Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (755) | cache/ (755) | logs/ (755) | tmp/ (755) | administrator/components/ (755) | administrator/modules/ (755) | administrator/language/ (755) | administrator/templates/ (755) | administrator/logs/ (755) |

Elevated Permissions (First 10) :: ForumPostAssistant-FPA-cdc1b7b/ (775) | ForumPostAssistant-FPA-cdc1b7b/Documentation/ (775) | ForumPostAssistant-FPA-cdc1b7b/Documentation/images/ (775) |
Database Information :: wrote:Database statistics :: Uptime: 1868021 | Threads: 1 | Questions: 673907 | Slow queries: 0 | Opens: 442 | Flush tables: 1 | Open tables: 314 | Queries per second avg: 0.360 |
Extensions Discovered :: wrote:Components :: SITE ::
Core :: com_wrapper (3.0.0) 1 | com_mailto (3.0.0) 1 |
3rd Party::

Components :: ADMIN ::
Core :: com_categories (3.0.0) 1 | com_cpanel (3.0.0) 1 | com_messages (3.0.0) 1 | com_contenthistory (3.2.0) 1 | com_media (3.0.0) 1 | com_postinstall (3.2.0) 1 | com_admin (3.0.0) 1 | com_search (3.0.0) 1 | com_config (3.0.0) 1 | com_redirect (3.0.0) 1 | com_menus (3.0.0) 1 | com_fields (3.7.0) 1 | com_joomlaupdate (3.6.2) 1 | com_cache (3.0.0) 1 | com_tags (3.1.0) 1 | com_modules (3.0.0) 1 | com_content (3.0.0) 1 | com_newsfeeds (3.0.0) 1 | com_login (3.0.0) 1 | com_ajax (3.2.0) 1 | com_associations (3.7.0) 1 | com_banners (3.0.0) 1 | com_plugins (3.0.0) 1 | com_checkin (3.0.0) 1 | com_installer (3.0.0) 1 | com_finder (3.0.0) 1 | com_weblinks (3.6.0) 1 | com_users (3.0.0) 1 | com_languages (3.0.0) 1 | com_templates (3.0.0) 1 |
3rd Party:: Akeeba (6.1.1) 1 | JW_DISQUS (3.6.0) 0 | Admintools (5.1.3) 1 |

Modules :: SITE ::
Core :: mod_tags_popular (3.1.0) 1 | mod_wrapper (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_languages (3.5.0) 1 | mod_users_latest (3.0.0) 1 | mod_articles_categories (3.0.0) 1 | mod_articles_category (3.0.0) 1 | mod_weblinks (3.6.0) 1 | mod_custom (3.0.0) 1 | mod_articles_archive (3.0.0) 1 | mod_syndicate (3.0.0) 1 | mod_tags_similar (3.1.0) 1 | mod_whosonline (3.0.0) 1 | mod_articles_popular (3.0.0) 1 | mod_footer (3.0.0) 1 | mod_stats (3.0.0) 1 | mod_articles_latest (3.0.0) 1 | mod_finder (3.0.0) 1 | mod_search (3.0.0) 1 | mod_login (3.0.0) 1 | mod_articles_news (3.0.0) 1 | mod_related_items (3.0.0) 1 | mod_breadcrumbs (3.0.0) 1 | mod_banners (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_random_image (3.0.0) 1 |
3rd Party:: mod_ads_elite (4.5) 1 | Twitter Show (1.0.0) 1 |

Modules :: ADMIN ::
Core :: mod_quickicon (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_toolbar (3.0.0) 1 | mod_sampledata (3.8.0) 1 | mod_custom (3.0.0) 1 | mod_latest (3.0.0) 1 | mod_popular (3.0.0) 1 | mod_title (3.0.0) 1 | mod_stats_admin (3.0.0) 1 | mod_multilangstatus (3.0.0) 1 | mod_version (3.0.0) 1 | mod_login (3.0.0) 1 | mod_submenu (3.0.0) 1 | mod_logged (3.0.0) 1 | mod_status (3.0.0) 1 | mod_feed (3.0.0) 1 |
3rd Party::

Plugins :: SITE ::
Core :: plg_search_categories (3.0.0) 1 | plg_search_contacts (3.0.0) 1 | plg_search_newsfeeds (3.0.0) 1 | plg_search_weblinks (3.6.0) 1 | plg_search_content (3.0.0) 1 | plg_search_tags (3.0.0) 0 | plg_fields_imagelist (3.7.0) 1 | plg_fields_list (3.7.0) 1 | plg_fields_radio (3.7.0) 1 | plg_fields_editor (3.7.0) 1 | plg_fields_textarea (3.7.0) 1 | plg_fields_checkboxes (3.7.0) 1 | plg_fields_url (3.7.0) 1 | plg_fields_integer (3.7.0) 1 | plg_fields_text (3.7.0) 1 | plg_fields_user (3.7.0) 1 | plg_fields_color (3.7.0) 1 | plg_fields_media (3.7.0) 1 | plg_fields_sql (3.7.0) 1 | plg_fields_calendar (3.7.0) 1 | plg_fields_usergrouplist (3.7.0) 1 | plg_extension_joomla (3.0.0) 1 | plg_editors-xtd_fields (3.7.0) 1 | plg_editors-xtd_article (3.0.0) 1 | plg_editors-xtd_module (3.5.0) 1 | plg_editors-xtd_menu (3.7.0) 1 | plg_editors-xtd_image (3.0.0) 1 | plg_editors-xtd_readmore (3.0.0) 1 | plg_editors-xtd_pagebreak (3.0.0) 1 | PLG_INSTALLER_FOLDERINSTALLER (3.6.0) 1 | plg_installer_webinstaller (1.1.1) 1 | plg_installer_packageinstaller (3.6.0) 1 | PLG_INSTALLER_URLINSTALLER (3.6.0) 1 | plg_twofactorauth_totp (3.2.0) 1 | plg_twofactorauth_yubikey (3.2.0) 1 | plg_quickicon_extensionupdate (3.0.0) 1 | plg_quickicon_phpversioncheck (3.7.0) 1 | plg_quickicon_joomlaupdate (3.0.0) 1 | plg_captcha_recaptcha (3.4.0) 1 | plg_content_vote (3.0.0) 1 | plg_content_fields (3.7.0) 1 | plg_content_geshi (2.5.0) 0 | plg_content_emailcloak (3.0.0) 1 | plg_content_joomla (3.0.0) 1 | plg_content_pagenavigation (3.0.0) 1 | plg_content_loadmodule (3.0.0) 1 | plg_content_pagebreak (3.0.0) 1 | plg_content_finder (3.0.0) 1 | plg_system_fields (3.7.0) 1 | plg_system_languagefilter (3.0.0) 0 | plg_system_redirect (3.0.0) 1 | plg_system_log (3.0.0) 1 | plg_system_p3p (3.0.0) 1 | plg_system_languagecode (3.0.0) 0 | plg_system_stats (3.5.0) 1 | plg_system_cache (3.0.0) 0 | plg_system_sef (3.0.0) 1 | plg_system_sessiongc (3.8.6) 1 | plg_system_remember (3.0.0) 0 | plg_system_logout (3.0.0) 1 | plg_system_debug (3.0.0) 1 | plg_system_updatenotification (3.5.0) 1 | plg_system_highlight (3.0.0) 1 | plg_user_joomla (3.0.0) 1 | plg_user_profile (3.0.0) 0 | plg_user_contactcreator (3.0.0) 0 | plg_finder_categories (3.0.0) 1 | plg_finder_contacts (3.0.0) 1 | plg_finder_newsfeeds (3.0.0) 1 | plg_finder_weblinks (3.6.0) 1 | plg_finder_content (3.0.0) 1 | plg_finder_tags (3.0.0) 1 | plg_authentication_cookie (3.0.0) 1 | plg_authentication_joomla (3.0.0) 1 | plg_authentication_ldap (3.0.0) 1 | plg_authentication_gmail (3.0.0) 1 |
3rd Party:: plg_quickicon_akeebabackup (1.0) 1 | plg_content_adselite (4.5) 0 | Disqus Comments (for Joomla) [ (3.6.0) 1 | PLG_SYSTEM_AKEEBAUPDATECHECK_T (1.1) 1 | plg_system_adsstarterelite (4.5) 1 | System - Admin Tools (5.1.3) 1 | PLG_SYSTEM_BACKUPONUPDATE_TITL (3.7) 1 | plg_system_jsntplframework (3.2.3) 1 | System - Disqus Comments (for (3.6.0) 1 | plg_editors_tinymce (4.5.8) 1 | plg_editors_codemirror (5.38.0) 0 |
Templates Discovered :: wrote:Templates :: SITE :: jsn_air_pro (2.1.0) 1 | protostar (1.0) 1 | jsn_air_free (2.0.3) 0 | DaFoot (2.5.0) 0 | jsn_air_pro (2.0.3) 1 | beez3 (3.1.0) 0 |
Templates :: ADMIN :: hathor (3.0.0) 1 | isis (1.0) 1 | bluestork (2.5.0) 1 | DaFoot (2.5.0) 0 |
https://www.kuneze.com/blog
Former member of Kunena project team
If you think I’m wrong then say “I think you're wrong.” If you say “You’re wrong!”, how do you know?

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 35249
Joined: Sat Apr 05, 2008 9:58 pm

Re: Extension not installed messages on upgrade

Post by Webdongle » Sat Aug 04, 2018 6:28 pm

SSL: 2 ... should be 0 (zero) ... no certificate on site so global conig 'Force https' should not be set.

PHP API: apache2handler ... ask Host about fast/cgi

Joomla! Configured :: Yes | Writable (644) ... should be 444 ... Save global config and check configuration.php is 444 (if not set 444). Save global config again. If it wont save then you have a server Ownership issue.

LiveSite: https://www.dafoot.co.uk ... in configuration.php should have no value.

Some folders are 775 ... should be 755
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein

User avatar
sozzled
Joomla! Champion
Joomla! Champion
Posts: 5521
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia
Contact:

Re: Extension not installed messages on upgrade

Post by sozzled » Sat Aug 04, 2018 7:45 pm

... and a number of old, outdated J! 2.5 extensions are installed.

Also, I noticed (when I ran the FPA report on the OP's website) there are two sets of database tables: one with the prefix jos_ and the other with the prefix jos25_ (most probably indicating an older J! website migrated to J! 3.x but the older tables weren't dropped).

Site needs a bit of house-keeping/cleanup to remove the outdated references.

There's a reference to the [third-party, unpublished] extension JW_DISQUS (3.6.0) but I did not see any place where this may be used. If there are unused extensions hanging around then my advice would be to uninstall them. Makes it easier to maintain the website.
https://www.kuneze.com/blog
Former member of Kunena project team
If you think I’m wrong then say “I think you're wrong.” If you say “You’re wrong!”, how do you know?

DaFoot
Joomla! Intern
Joomla! Intern
Posts: 68
Joined: Sun Feb 08, 2009 10:10 pm
Contact:

Re: Extension not installed messages on upgrade

Post by DaFoot » Mon Aug 06, 2018 9:10 am

Webdongle wrote:
Sat Aug 04, 2018 6:28 pm
SSL: 2 ... should be 0 (zero) ... no certificate on site so global conig 'Force https' should not be set.
I have a (letsencrypt) certificate installed on the server. The site is served over SSL. Is that not what this setting is for, to make sure internal URLs are prefixed https?
Webdongle wrote:
Sat Aug 04, 2018 6:28 pm
PHP API: apache2handler ... ask Host about fast/cgi
Server is my own to maintain. I'll do some reading about fast/cgi, but on this low traffic site I'm not sure it'll be a problem.
Webdongle wrote:
Sat Aug 04, 2018 6:28 pm
Joomla! Configured :: Yes | Writable (644) ... should be 444 ... Save global config and check configuration.php is 444 (if not set 444). Save global config again. If it wont save then you have a server Ownership issue.

LiveSite: https://www.dafoot.co.uk ... in configuration.php should have no value.

Some folders are 775 ... should be 755
I'll get those updated. I guess the config permissions thing may introduce some issues.

Thanks for your input.

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 35249
Joined: Sat Apr 05, 2008 9:58 pm

Re: Extension not installed messages on upgrade

Post by Webdongle » Mon Aug 06, 2018 9:20 am

At the heart of the issue is file ownership. There are generally two main server users that end up owning your files - the FTP user, and the Apache/PHP user. Obviously, when you upload files using FTP, the FTP user ends up owning them. Therefore, if you give a file 755 permissions, then ONLY the FTP user can write to that file.

If you install Joomla! without the FTP layer, then the files it creates are owned by the Apache/PHP user. If you give the file 755 permissions, then ONLY the Apache/PHP user can write to that file
https://docs.joomla.org/Why_can%27t_you ... rom_ianmac

The answer to that is
CGI Mode on the other hand, is more secure because the server now manages and controls access to the binaries. PHP can now run as your own user rather than the generic Apache user. This means you can put your database passwords in a file readable only by you and your php scripts can still access it! The "Group" and "Other" permissions (refer Where can you learn more about file permissions?) can now be more restrictive. CGI mode is also claimed to be more flexible in many respects as you should now not see, with phpSuExec (refer Permissions under phpSuExec) issues with file ownership being taken over by the Apache user, therefore you should no longer have problems under FTP when trying to access or modify files that have been uploaded through a PHP interface, such as Joomla! upload options.
https://docs.joomla.org/Should_PHP_run_ ... _module%3F

If you have a certificate then either it is not set up correctly or mod rewrite is not working correctly because http:// is not being changed to https://
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein

DaFoot
Joomla! Intern
Joomla! Intern
Posts: 68
Joined: Sun Feb 08, 2009 10:10 pm
Contact:

Re: Extension not installed messages on upgrade

Post by DaFoot » Mon Aug 06, 2018 9:26 am

sozzled wrote:
Sat Aug 04, 2018 7:45 pm
... and a number of old, outdated J! 2.5 extensions are installed.
Do you mean they haven't updated correctly to Joomla 3.x versions or that there are some installed that are obsolete?

If the former, I guess that's what my original error is about?
If the latter, how do I know which I can remove safely? I don't know which are required by J3 and which can safely be removed.

Looking at extensions->manage, everything with an author of Joomla Project has a version of at least 3.0.
Except for :
- Installer install from web : 1.1.1

Do the versions of extensions by Joomla Project tie up to Joomla release version or are they independent?
sozzled wrote:
Sat Aug 04, 2018 7:45 pm
Also, I noticed (when I ran the FPA report on the OP's website) there are two sets of database tables: one with the prefix jos_ and the other with the prefix jos25_ (most probably indicating an older J! website migrated to J! 3.x but the older tables weren't dropped).
Sounds likely. Site has been migrated/upgraded a few times.
sozzled wrote:
Sat Aug 04, 2018 7:45 pm
There's a reference to the [third-party, unpublished] extension JW_DISQUS (3.6.0) but I did not see any place where this may be used. If there are unused extensions hanging around then my advice would be to uninstall them. Makes it easier to maintain the website.
No argument there and normally do try to remove stuff not used. That one is published though (and if not in a page atm, will be again).

User avatar
sozzled
Joomla! Champion
Joomla! Champion
Posts: 5521
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia
Contact:

Re: Extension not installed messages on upgrade

Post by sozzled » Mon Aug 06, 2018 9:28 am

So, let's see ... basically there's a lot of accumulated obsolete junk in this website and, until it's taken to the cleaners (removed completely, that is), I guess we're wasting our time offering you our suggestions ... *sigh*
https://www.kuneze.com/blog
Former member of Kunena project team
If you think I’m wrong then say “I think you're wrong.” If you say “You’re wrong!”, how do you know?

DaFoot
Joomla! Intern
Joomla! Intern
Posts: 68
Joined: Sun Feb 08, 2009 10:10 pm
Contact:

Re: Extension not installed messages on upgrade

Post by DaFoot » Mon Aug 06, 2018 9:50 am

sozzled wrote:
Mon Aug 06, 2018 9:28 am
So, let's see ... basically there's a lot of accumulated obsolete junk in this website and, until it's taken to the cleaners (removed completely, that is), I guess we're wasting our time offering you our suggestions ... *sigh*
You're not wasting your time at all, I am just trying to understand how to implement your suggestions.

Hence my question about figuring which extensions are obsolete / which are actually still required by Joomla.

Maybe I wasn't being clear enough.

How do I determine which extensions are left from 2.5 and safe to remove?
vs which were part of 2.5 but still required in 3.x.
DaFoot wrote:
Mon Aug 06, 2018 9:26 am
sozzled wrote:
Sat Aug 04, 2018 7:45 pm
... and a number of old, outdated J! 2.5 extensions are installed.
Do you mean they haven't updated correctly to Joomla 3.x versions or that there are some installed that are obsolete?

If the former, I guess that's what my original error is about?
If the latter, how do I know which I can remove safely? I don't know which are required by J3 and which can safely be removed.

Looking at extensions->manage, everything with an author of Joomla Project has a version of at least 3.0.
Except for :
- Installer install from web : 1.1.1

Do the versions of extensions by Joomla Project tie up to Joomla release version or are they independent?

User avatar
sozzled
Joomla! Champion
Joomla! Champion
Posts: 5521
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia
Contact:

Re: Extension not installed messages on upgrade

Post by sozzled » Mon Aug 06, 2018 2:46 pm

None of J! 2.5 is "safe" to keep in J! 3.x.

Here's a tip: if you don't know what to keep, what to update, what to dice-and-slice or how to go from here then I suggest you engage a specialist who knows these things.

You're the only expert in this room; I'm just a consultant. A specialist would work with you (it would probably take a day or two) to audit your website, to help you decide what is needed and what is garbage, and fix things for you. As an outsider, I can mention one or two things and we may make a little progress every day but it's my guess that you won't resolve all your problems overnight.

Just to begin with, these are a few items that I suggest you uninstall immediately:

a) the frontend templates
  • DaFoot (2.5.0);
  • jsn_air_pro (2.1.0);
  • jsn_air_free (2.0.3); and
  • jsn_air_pro (2.0.3)
b) the admin templates
  • bluestork (2.5.0); and
  • DaFoot (2.5.0)
That's the first thing I would do. It won't completely fix all of your problems but you're off to a good start. If you feel the need to dispute the items that I've listed above then you have bigger problems than you imagine.
https://www.kuneze.com/blog
Former member of Kunena project team
If you think I’m wrong then say “I think you're wrong.” If you say “You’re wrong!”, how do you know?

DaFoot
Joomla! Intern
Joomla! Intern
Posts: 68
Joined: Sun Feb 08, 2009 10:10 pm
Contact:

Re: Extension not installed messages on upgrade

Post by DaFoot » Mon Aug 06, 2018 3:21 pm

I'll start with those suggested, like you say, bit at a time.

"If you feel the need to dispute the items that I've listed above then you have bigger problems than you imagine"

Apologies if it came across as I was trying to dispute what you are saying, just asking for clarification to understand better, so hopefully I'm in a better place to fix issues myself later.


Post Reply

Return to “Migrating and Upgrading to Joomla! 3.x”